<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary" (click)="buscarInfo()">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
  <button (click)="exportExcel()" class="btn btn-success ml-1" [disabled]="!fileName">
    <i class="fa fa-file-excel mr-2"></i>Excel
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">

      <div class="row d-flex justify-content-between">
        <div class="form-group col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <div class="form-group">
            <label class="w-100"></label>
            <kendo-datepicker [format]="'MM/yyyy'" [(ngModel)]="fecha" class="mt-2"
              [ngModelOptions]="{standalone: true}">
            </kendo-datepicker>
          </div>
          <div class="form-group">
            <input type="checkbox" id="lLog1" class="k-checkbox mt-2" formControlName="lLog1">
            <label class="k-checkbox-label mt-2" for="lLog1">Año Anterior</label>
          </div>
        </div>

        <div class="form-group col-md-2 col-sm-3">
          <label class="w-100">Agencia</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="cChr1" readonly>
            <div class="input-group-append">
              <button class="btn btn-primary" (click)="openModal(modal)">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>

        <div class="form-group col-5 col-sm-4 col-md-4 col-lg-3 col-xl-3">
          <label>Moneda</label>
          <kendo-dropdownlist [data]="listMoneda" [textField]="'mdesc'" [valueField]="'Moneda'" class="form-control"
            formControlName="cChr2" [valuePrimitive]="true">
          </kendo-dropdownlist>
          <div class="col w-100">
            <input type="checkbox" id="lLog2" class="k-checkbox mt-2" formControlName="lLog2">
            <label class="k-checkbox-label mt-2" for="lLog2">Ingresos sin Impuestos</label>
          </div>
        </div>

        <div class="form-group col-sm-3 col-md-3 col-lg-2 col-xl-2 ">
          <label class="w-100"></label>
          <input type="radio" name="iInt3" formControlName="iInt3" value="1" id="Cuarto" class="k-radio"
            [checked]="true">
          <label class="k-radio-label mr-2 w-100" for="Cuarto">Por Cuartos</label>
          <input type="radio" name="iInt3" formControlName="iInt3" value="2" id="Adulto" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="Adulto">Por Adultos</label>
          <input type="radio" name="iInt3" formControlName="iInt3" value="3" id="Juniors" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="Juniors">Por Adultos + Juniors</label>
        </div>
        <div class="form-group col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <label class="w-100"></label>
          <input type="radio" name="iInt4" formControlName="iInt4" value="1" id="IngAgrup" class="k-radio"
            (click)="tipoIngresoChange()">
          <label class="k-radio-label mr-2 w-100" for="IngAgrup">Ingreso Agrupado</label>
          <input type="radio" name="iInt4" formControlName="iInt4" value="2" id="TipoAgrup" class="k-radio"
            (click)="tipoIngresoChange()">
          <label class="k-radio-label mr-2 w-100" for="TipoAgrup">Tipo Cuarto Agrupado</label>
          <input type="radio" name="iInt4" formControlName="iInt4" value="3" id="TipoSinAg" class="k-radio"
            [checked]="true" (click)="tipoIngresoChange()">
          <label class="k-radio-label mr-2 w-100" for="TipoSinAg">Tipo Cuarto Sin Agrupar</label>
        </div>
      </div>

      <div class="row">
        <div class="col-4 form-group" *ngIf="ngForm.value.iInt4 != 1">
          <label>Tipo Cuarto</label>
          <kendo-multiselect [data]="listTipoCuarto" [(ngModel)]="TipoCuarto" [ngModelOptions]="{standalone: true}"
            [textField]="'tcuarto'" [valueField]="'tcuarto'">
          </kendo-multiselect>
        </div>
        <div class="col-3 form-group" *ngIf="ngForm.value.iInt4 == 1">
          <div class="form-group col">
            <label>Ing. Agrupados</label>
            <kendo-multiselect [data]="dsIngAgrupados" [(ngModel)]="ingAgrupadosSelected" [valuePrimitive]="true"
              [ngModelOptions]="{standalone: true}" [textField]="'iagrp'" [valueField]="'iagrp'">
            </kendo-multiselect>
          </div>
        </div>
      </div>

      <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading" [selectable]="true" [filter]="filter" filterable="menu"
        [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true" [pageSize]="pageSize" [skip]="skip"
        [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 64vh;" class="mt-1">
        <div *ngIf="dataGrid.length !== 0">
          <kendo-grid-column field="cMes" title="Mes" width="110"></kendo-grid-column>
          <kendo-grid-column field="iYear" title="Año" width="80"></kendo-grid-column>
          <kendo-grid-column field="dPI[31]" title="Pickup Ingresos" width="150" filterable="false">
          </kendo-grid-column>
          <kendo-grid-column field="dPO[31]" title="Pickup Ocup." width="90" filterable="false">
          </kendo-grid-column>
        </div>
        <ng-template kendoGridNoRecordsTemplate>
          {{ noRecords }}
        </ng-template>
      </kendo-grid>

    </form>

  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title">Consulta de Agencias</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-help-agencia (agencia)="getDataModal($event); c();">
    </app-help-agencia>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>
